:root {
    --myOrange: rgb(252, 206, 3);
}

body {
    background-image: url('https://raw.githubusercontent.com/LaimaLP/portfolio/main/img/redMount.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    margin: 0;
    padding: 0;
    color: white;
}

.hero-section{
margin:150px auto;
}


.hero-container h1 {
    font-size: 50px;
    color: var(--myOrange);
}



a {
    text-decoration: none;
    padding: 10px;
    border-radius: 50px;
    box-shadow: 0px 0px 5px 5px rgba(255, 255, 255, 0);



}


.icons {
    font-size: 50px;
    display: flex;
    flex-direction: row;
    border-radius: 50%;
    gap:20px;
}


.icons a{
    display: inline-block;
    text-decoration: none;
}

.icons a i{
    padding: 10px; 
}

.icons a i:hover {
    color: rgb(172, 185, 197) !important;
    box-shadow: 0px 0px 5px 2px white; 
    border-radius: 50%;
    padding: 10px; 
}
.logo {
    display: flex;
    flex-direction: row;
}
.my-custom-row {
    background-color: rgba(254, 255, 255, 0.3);
    border-radius: 20px;
    border: none;
    box-shadow: 0px 0px 10px 10px rgba(254, 255, 255, 0.3);
    background-size: cover;
}
.about-me {
    font-size: 20px;
}
.about-me h2 {
    text-align: center;
    color: var(--myOrange);
    border-bottom: 2px solid yellow;
    padding-bottom: 10px;
    width: 200px;
    margin: 50px auto;
}
.hi-there {
    position: relative;
    background-color: rgba(0, 0, 0, 0.3);
    padding: 20px 25px;
    border-top-right-radius: 20px;
    margin-left: 100px;
    margin-bottom: 15px;

}
.education{
    background-color: rgba(0, 0, 0, 0.3);
    padding: 20px 25px;
    border-top-left-radius: 20px;
    position: relative;
    margin-bottom: 15px;
}
.education h5{
    color: antiquewhite;
    font-size: 25px;
}


.hi-there  h4, .education h3, .ending-container h4 {
    color: var(--myOrange);
}

.hi-there p {
    margin-bottom: 0;
}

.hi-there ul {
    list-style: none;
    line-height: 2rem;
    padding-bottom: 30px;
}

.hi-there ul li:before {
    content: '✓';
    padding-right: 5px;

}

.hi-there a {
    outline: none;
    background-color: var(--myOrange);
    color: black;
    padding: 5px 25px;
    border-radius: 20px;
    font-weight: 600;
    align-items: center;
}
.shine-through-btn::before {
    content: "";
    position: absolute;
    top: -50%;
    left: -50%;
    width: 200%;
    height: 200%;
    background: linear-gradient(45deg, rgba(255, 255, 255, 0.5), transparent, rgba(255, 255, 255, 0.5));
    opacity: 0;
    transition: opacity 0.3s ease;
}
.shine-through-btn:hover {
    background-color: orange; /* Maintain the button color on hover */
}

.shine-through-btn:hover::before {
    opacity: 1;
}
.hi-there a:hover{
    cursor: pointer;
    animation-name: myBlink;
    animation-duration: 0.4s;
    transition: linear ease-in-out;
}
@keyframes myBlink {
    0% { background-image: linear-gradient(135deg, white,  var(--myOrange), var(--myOrange),var(--myOrange),var(--myOrange));}
    17% { background-image: linear-gradient(135deg,var(--myOrange), white, var(--myOrange) , var(--myOrange), var(--myOrange), var(--myOrange));}
    28% { background-image: linear-gradient(135deg, var(--myOrange),var(--myOrange) ,white , var(--myOrange), var(--myOrange), var(--myOrange));}
    51% { background-image: linear-gradient(135deg, var(--myOrange),var(--myOrange),var(--myOrange), white , var(--myOrange), var(--myOrange));}
    72% { background-image: linear-gradient(135deg,var(--myOrange),var(--myOrange),var(--myOrange),var(--myOrange), white , var(--myOrange));}
    100% {background-image: linear-gradient(135deg, var(--myOrange), var(--myOrange),var(--myOrange), var(--myOrange),  white );}
  }
.modal{
  color:black;
    background-color: #7b797999;

}
.modal-content{
    background-image: linear-gradient(to right, rgba(48, 46, 46, 0), rgba(78, 44, 44, 0.849));
}
.modal-footer a{
    
    color: black;
 box-shadow: 2px 2px 2px  black;
font-size: 16px;
background-color: rgb(227, 227, 222);
}

.modal-footer a:hover{
    background-color: rgba(34, 107, 201, 0.411);
}

.show-modal{
    cursor: pointer;

}

.show-modal img:hover{
    box-shadow: 7px 2px 10px 5px grey;
}

.ending-container a{
    text-decoration: none;
    color: white;
    cursor: pointer;

}
.ending-container ul{
list-style: none;
}

.ending-container i{
   color:white;
   font-size: 15px;
   margin-right: 15px;
   

}

.ending-container a{
 padding:0;
}

@media (max-width: 570px) {
    .my-custom-row{
        width:35%;
 
    }
}

@media (max-width: 1400px) {

    .education, .hi-there{
        width: 80%;
    }
    .hi-there{
    margin-left: 0;

    }
}